# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`pe_migrate::prep`](#pe_migrateprep): Prepares a node for migration by ensuring Puppet package repos are available

### Tasks

* [`agent_migrate`](#agent_migrate): Points your agent nodes to the new primary server
* [`backup_transfer`](#backup_transfer): Transfer backups to the target host.
* [`db_backup`](#db_backup): Generate a backup of the Databases
* [`restore_ssldir`](#restore_ssldir): Restore the SSLDIR on the target host.
* [`ssl_backup`](#ssl_backup): Generate a backup of the SSLDIR

## Classes

### <a name="pe_migrateprep"></a>`pe_migrate::prep`

Prepares a node for migration by ensuring Puppet package repos are available

#### Examples

##### 

```puppet
include  pe_migrate::prep
```

## Tasks

### <a name="agent_migrate"></a>`agent_migrate`

Points your agent nodes to the new primary server

**Supports noop?** false

#### Parameters

##### `newprimary`

Data type: `String`

Hostname of the new primary server which your agents are being migrated to

### <a name="backup_transfer"></a>`backup_transfer`

Transfer backups to the target host.

**Supports noop?** false

#### Parameters

##### `backupdir`

Data type: `String`

The directory where the backups were generated.

##### `targetdir`

Data type: `String`

The directory on the target host where the backups will be transferred.

##### `targethost`

Data type: `String`

The FQDN of the host you are migrating to.

##### `environment`

Data type: `String`

The environment that this module was installed in.

### <a name="db_backup"></a>`db_backup`

Generate a backup of the Databases

**Supports noop?** false

#### Parameters

##### `backupdir`

Data type: `String`

The directory where the backups will be created. Should be the same location used for pe_migrate::ssl_backup.

### <a name="restore_ssldir"></a>`restore_ssldir`

Restore the SSLDIR on the target host.

**Supports noop?** false

#### Parameters

##### `targetdir`

Data type: `String`

The directory where the backups were generated.

##### `targethost`

Data type: `String`

The FQDN of the host you are migrating to.

##### `privatekey`

Data type: `String`

The path of the private key configured to access the target host.

### <a name="ssl_backup"></a>`ssl_backup`

Generate a backup of the SSLDIR

**Supports noop?** false

#### Parameters

##### `backupdir`

Data type: `String`

The directory where the backups will be created.

